Index: TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/CreateMessagesTable.java
===================================================================
--- TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/CreateMessagesTable.java	(revision 3485)
+++ TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/CreateMessagesTable.java	(revision 3486)
@@ -93,7 +93,6 @@
 		
 		SpreadsheetDocument spreadsheet = SpreadsheetDocument.newSpreadsheetDocument();
 		
-		
 		TreeSet<Object> keys = new TreeSet<Object>(PluginMessagesManager.comp);
 		keys.addAll(master.keySet());
 		
@@ -112,7 +111,7 @@
 	}
 	
 	public static void main(String[] args) throws Exception {
-		String prefix = "messages"; // messages
+		String prefix = "bundle"; // messages
 		File odt = new File(prefix+"_fr.odt");
 		new CreateMessagesTable("fr").createODT(prefix, odt);
 		System.out.println("ODT="+odt.getAbsolutePath());
Index: TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/TableToProperties.java
===================================================================
--- TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/TableToProperties.java	(revision 3485)
+++ TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/TableToProperties.java	(revision 3486)
@@ -33,29 +33,32 @@
 		int keyIndex = -1;
 		int langIndex = -1;
 		int defaultIndex = -1;
+		String str = "";
 		for (int c = 0; c < ncol; c++) {
 			Cell cell = headerRow.getCellByIndex(c);
-			if ("KEY".equals(cell.getDisplayText())) {
+			String s = cell.getDisplayText();
+			if ("KEY".equals(s)) {
 				keyIndex = c;
 			}
-			else if (lang.equals(cell.getDisplayText().toLowerCase())) {
+			if (lang.equals(s.toLowerCase())) {
 				langIndex = c;
 			}
-			else if ("DEFAULT".equals(cell.getDisplayText())) {
+			if ("DEFAULT".equals(s)) {
 				defaultIndex = c;
 			}
+			str += "\t"+cell.getDisplayText();
 		}
 		
 		if (keyIndex == -1) {
-			System.out.println("KEY columns not found in " + headerRow);
+			System.out.println("KEY columns not found in " + str);
 			return null;
 		}
 		if (langIndex == -1) {
-			System.out.println(lang + " columns not found in " + headerRow);
+			System.out.println(lang + " columns not found in " + str);
 			return null;
 		}
 		if (defaultIndex == -1) {
-			System.out.println("DEFAULT columns not found in " + headerRow);
+			System.out.println("DEFAULT columns not found in " + str);
 			return null;
 		}
 		
@@ -75,11 +78,11 @@
 	
 	public static void main(String args[]) throws Exception {
 		
-//		Properties b = new TableToProperties(new File("/home/mdecorde/workspace047/org.txm.translate.rcp/bundles_fr.odt"), "fr").convert();
+//		Properties b = new TableToProperties(new File("/home/mdecorde/workspace047/org.txm.translate.rcp/bundles_fr.odt"), "default").convert();
 //		
 //		System.out.println("RESULT: "+b);
 //		
-//		Properties b2 = new TableToProperties(new File("/home/mdecorde/workspace047/org.txm.translate.rcp/bundle_fr.odt"), "fr").convert();
+//		Properties b2 = new TableToProperties(new File("/home/mdecorde/workspace047/org.txm.translate.rcp/bundle_fr.odt"), "default").convert();
 //		
 //		System.out.println("RESULT: "+b2);
 //		
@@ -92,15 +95,15 @@
 //		}
 //		
 //		System.out.println("NEWPROPERTIES: "+newProperties);
-		
-//		PrintWriter writer = IOUtils.getWriter(new File("/home/mdecorde/TEMP/newvalues.properties"), "iso-8859-1");
+//		
+//		PrintWriter writer = IOUtils.getWriter(new File("/home/mdecorde/TEMP/newvalues_default.properties"), "iso-8859-1");
 //		newProperties.store(writer, "");
 //		writer.close();
 		
 		
-		Properties previousOKProperties = new TableToProperties(new File("/home/mdecorde/TEMP/messagespaskc.odt"), "fr").convert();
+		Properties previousOKProperties = new TableToProperties(new File("/home/mdecorde/TEMP/messagespaskc.odt"), "default").convert();
 		
-		File newValuesPropertiesFile = new File("/home/mdecorde/TEMP/newvalues.properties");
+		File newValuesPropertiesFile = new File("/home/mdecorde/TEMP/newvalues_default.properties");
 		BufferedReader reader = IOUtils.getReader(newValuesPropertiesFile, "iso-8859-1");
 		Properties newProperties2 = new Properties();
 		newProperties2.load(reader);
@@ -110,7 +113,7 @@
 			previousOKProperties.setProperty(k.toString(), newProperties2.getProperty(k.toString()));
 		}
 		
-		PrintWriter writer = IOUtils.getWriter(new File("/home/mdecorde/TEMP/messagespaskc.properties"), "iso-8859-1");
+		PrintWriter writer = IOUtils.getWriter(new File("/home/mdecorde/TEMP/bundle.properties"), "UTF-8");
 		previousOKProperties.store(writer, "");
 		writer.close();
 	}
Index: TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportMessagesTable.java
===================================================================
--- TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportMessagesTable.java	(revision 3485)
+++ TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportMessagesTable.java	(revision 3486)
@@ -119,6 +119,6 @@
 	
 	public static void main(String[] args) throws Exception {
 		String prefix = "bundle"; // messages
-		System.out.println(new ImportMessagesTable(new File("/home/mdecorde/TEMP"), "fr").run(prefix, new File(prefix + "_fr.odt")));
+		System.out.println(new ImportMessagesTable(new File("/home/mdecorde/workspace047/org.txm.translate.rcp"), "fr").run(prefix, new File(prefix + "_fr.odt")));
 	}
 }
Index: TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportPluginXMLFromOneFile.java
===================================================================
--- TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportPluginXMLFromOneFile.java	(revision 3485)
+++ TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportPluginXMLFromOneFile.java	(revision 3486)
@@ -26,7 +26,7 @@
 		WorkspaceMessagesManager wmm = new WorkspaceMessagesManager();
 		LinkedHashMap<File, PluginMessagesManager> h = wmm.getPluginMessages();
 		
-		String langs[] = { "", "_fr"}; // "_ru" }; // 
+		String langs[] = {"_fr"}; // "",  "_ru" }; // 
 		
 		System.out.println("Importing bundle messages...");
 		int total_update = 0;
Index: trunk/org.txm.texts.core/src/org/txm/texts/core/TextsSelection.java
===================================================================
--- trunk/org.txm.texts.core/src/org/txm/texts/core/TextsSelection.java	(revision 3485)
+++ trunk/org.txm.texts.core/src/org/txm/texts/core/TextsSelection.java	(revision 3486)
@@ -1,10 +1,26 @@
 package org.txm.texts.core;
 
+import java.util.ArrayList;
+import java.util.HashMap;
+
+import org.apache.commons.lang.StringUtils;
+import org.txm.core.results.Parameter;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
+import org.txm.utils.TXMProgressMonitor;
 
 public class TextsSelection extends Subcorpus {
 
+	@Parameter(key = TextsViewPreferences.CRITERII)
+	HashMap<String, ArrayList<String>> criterii;
+	
+	@Parameter(key = TextsViewPreferences.ALLPROPERTIESMUSTMATCH)
+	Boolean allPropertiesMustMatch;
+	
+	@Parameter(key = TextsViewPreferences.ALLMUSTMATCH)
+	HashMap<String, Boolean> allMustMatch;
+	
 	public TextsSelection(CQPCorpus corpus) {
 		
 		super(corpus);
@@ -18,5 +34,31 @@
 		super(parametersNodePath);
 	}
 	
+	public boolean canCompute() {
+		return criterii.size() > 0;
+	}
 	
+	public boolean __compute(TXMProgressMonitor monitor) throws Exception {
+		
+		StringBuilder buffer = new StringBuilder();
+		buffer.append("<text> [");
+		int n = 0;
+		for (String textprop : criterii.keySet()) {
+			
+			String operator = " && ";
+			if (allPropertiesMustMatch) operator = " || ";
+			
+			if (n > 0) buffer.append(operator);
+			
+			String matchOperator = "&";
+			if (!allMustMatch.get(textprop)) matchOperator = "|";
+			
+			buffer.append("_.text_"+textprop+"=\""+StringUtils.join(criterii.get(textprop), matchOperator)+"\"");
+		}
+		buffer.append("] expand to text");
+		
+		this.pQuery = new CQLQuery(buffer.toString());
+		
+		return super.__compute(monitor);
+	}
 }
Index: trunk/org.txm.texts.core/src/org/txm/texts/core/TextsView.java
===================================================================
--- trunk/org.txm.texts.core/src/org/txm/texts/core/TextsView.java	(revision 3485)
+++ trunk/org.txm.texts.core/src/org/txm/texts/core/TextsView.java	(revision 3486)
@@ -3,7 +3,6 @@
 import java.io.File;
 import java.io.PrintWriter;
 import java.util.ArrayList;
-import java.util.Arrays;
 import java.util.LinkedHashMap;
 import java.util.List;
 
Index: trunk/org.txm.texts.core/src/org/txm/texts/core/TextsViewPreferences.java
===================================================================
--- trunk/org.txm.texts.core/src/org/txm/texts/core/TextsViewPreferences.java	(revision 3485)
+++ trunk/org.txm.texts.core/src/org/txm/texts/core/TextsViewPreferences.java	(revision 3486)
@@ -5,6 +5,12 @@
 
 public class TextsViewPreferences extends TXMPreferences {
 	
+	public static final String CRITERII = "criterii";
+	
+	public static final String ALLMUSTMATCH = "allmustmatch";
+	
+	public static final String ALLPROPERTIESMUSTMATCH = "allmustmatch";
+
 	/**
 	 * Gets the instance.
 	 * 
